Summary:        Gexiv2 is a GObject-based wrapper around the Exiv2 library
Name:           libgexiv2
Version:        0.14.2
Release:        3%{?dist}
License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/gexiv2
Source0:        https://download.gnome.org/sources/gexiv2/0.14/gexiv2-%{version}.tar.xz

BuildRequires:  meson gcc-c++
BuildRequires:  exiv2-devel gobject-introspection-devel
BuildRequires:  python3-devel python3-gobject-base vala

%description
This package implements a GObject-based wrapper around the Exiv2 library. It makes the basic 
features of Exiv2 available to GNOME applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%package -n     python3-gexiv2
Summary:        Python3 bindings for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       python3-gobject-base

%description -n python3-gexiv2
This package provides the python3 bindings for %{name}.

%prep
%autosetup -n gexiv2-%{version}

%build
%meson \
  -Dgtk_doc=false \
  %{nil}
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc AUTHORS THANKS README
%dir %{_libdir}/girepository-1.0
%{_libdir}/libgexiv2.so.2*
%{_libdir}/girepository-1.0/GExiv2-0.10.typelib

%files devel
%{_includedir}/gexiv2/
%{_libdir}/libgexiv2.so
%{_libdir}/pkgconfig/gexiv2.pc
%dir %{_datadir}/gir-1.0
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gexiv2.deps
%{_datadir}/vala/vapi/gexiv2.vapi
%{_datadir}/gir-1.0/GExiv2-0.10.gir

%files -n python3-gexiv2
%pycached %{python3_sitelib}/gi/overrides/GExiv2.py

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.2-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Shuo Wang <abushwang@tencent.com> - 0.14.2-1
- update to 0.14.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Wang Guodong <gordonwwang@tencent.com> - 0.14.0-1
- package init.
